- Main Page
- Namespaces
- Classes
- Files
- Directories

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglFakeClique Class Reference

`#include <CglClique.hpp>`

Inheritance diagram for CglFakeClique:

[legend]
Collaboration diagram for CglFakeClique:

[legend]
List of all members.

## Constructors and destructors
| CglFakeClique (OsiSolverInterface *solver=NULL, bool setPacking=false)
| Default constructor.
virtual | ~CglFakeClique ()
| Destructor.
void | assignSolver (OsiSolverInterface *fakeSolver)
| Assign solver (generator takes over ownership).
OsiSolverInterface * | fakeSolver_
| fake solver to use
CglProbing * | probing_
| Probing object.
## Public Member Functions
| CglFakeClique (const CglFakeClique &rhs)
| Copy constructor.
virtual CglCutGenerator * | clone () const
| Clone.
CglFakeClique & | operator= (const CglFakeClique &rhs)
| Assignment operator.
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo()) const
| Generate cuts for the model data contained in si.

## Detailed Description

Definition at line 262 of file CglClique.hpp.

## Constructor & Destructor Documentation

CglFakeClique::CglFakeClique | ( | const CglFakeClique & | rhs | ) |

Copy constructor.

CglFakeClique::CglFakeClique | ( | OsiSolverInterface * | solver = `NULL`,
|  | bool | setPacking = `false` |
| ) |  |  |

Default constructor.

If the setPacking argument is set to true then CglFakeClique will assume that the problem in the solverinterface passed to the generateCuts() method describes a set packing problem, i.e.,

- all variables are binary
- the matrix is a 0-1 matrix
- all constraints are '= 1' or '<= 1'

Otherwise the user can use the considerRows() method to set the list of clique rows, that is,

- all coeffs corresponding to binary variables at fractional level is 1
- all other coeffs are non-negative
- the constraint is '= 1' or '<= 1'.

If the user does not set the list of clique rows then CglFakeClique will start the generateCuts() methods by scanning the matrix for them.

virtual CglFakeClique::~CglFakeClique | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual CglCutGenerator* CglFakeClique::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CglClique.

CglFakeClique& CglFakeClique::operator= | ( | const CglFakeClique & | rhs | ) |

Assignment operator.

virtual void CglFakeClique::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

Generate cuts for the model data contained in si.

The generated cuts are inserted into and returned in the collection of cuts cs.

Reimplemented from CglClique.

void CglFakeClique::assignSolver | ( | OsiSolverInterface * | fakeSolver | ) |

Assign solver (generator takes over ownership).

## Member Data Documentation

OsiSolverInterface* CglFakeClique::fakeSolver_`[mutable, protected]`

fake solver to use

Definition at line 303 of file CglClique.hpp.

CglProbing* CglFakeClique::probing_`[mutable, protected]`

Probing object.

Definition at line 305 of file CglClique.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.57.1/Cgl/src/CglClique/CglClique.hpp